Mailinglist Archive: opensuse-updates (86 mails)

< Previous Next >
openSUSE-RU-2014:0695-1: kiwi: Update from v5.05.67 to v5.05.70
openSUSE Recommended Update: kiwi: Update from v5.05.67 to v5.05.70
______________________________________________________________________________

Announcement ID: openSUSE-RU-2014:0695-1
Rating: low
References:
Affected Products:
openSUSE 13.1
______________________________________________________________________________

An update that has 0 recommended fixes can now be installed.

Description:

This update fixes the following issues with kiwi:
- Added rpm conflict for yast2-product-creator <= 2.17.58
- Added kiwi-schema metadata provides to spec file. This was requested by
the slepos team to be able to require the right kiwi version and schema
to yast2-product-creator.
- Update package helper tools to auto update the kiwi-schema provides in
the spec file if the kiwi RNC schema has changed
- Added compatibility fix for fetchFile function
+ Instead of matching for the exact value 'uncompressed' the function
treats all values matching the expression '^uncomp' as a statement to
indicate an uncompressed image
- Fixed directory check in cleanMount. If no repo alias is set the repo
uri is also used as name for the mount point directory. In this case the
name could contain quoted characters. Perl's test operator can't deal
with shell escaped directory names. Thus we check with the shell test
built-in if the mount point directory exists.
- Fixed suseService function
+ Use of undefined variable $action where it should be $target
- Update service support functions
+ remove obsolete suseCloneRunlevel and suseActivateServices
+ use chkconfig instead of insserv
+ enhance suseService to be called with on|off and sysVInit runlevels
like chkconfig supports it. For systemd this value would be ignored
- Update baseSetRunlevel() function
+ support custom systemd target names
- don't limit suseInsertService to .service suffix for systemd
+ The service file is now searched in several directories and as suffix
.system and .mount is allowed


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-380

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

kiwi-5.05.70-29.2
kiwi-debugsource-5.05.70-29.2
kiwi-desc-isoboot-requires-5.05.70-29.2
kiwi-desc-netboot-requires-5.05.70-29.2
kiwi-desc-oemboot-requires-5.05.70-29.2
kiwi-desc-vmxboot-requires-5.05.70-29.2
kiwi-tools-5.05.70-29.2
kiwi-tools-debuginfo-5.05.70-29.2

- openSUSE 13.1 (noarch):

kiwi-desc-isoboot-5.05.70-29.2
kiwi-desc-netboot-5.05.70-29.2
kiwi-desc-oemboot-5.05.70-29.2
kiwi-desc-vmxboot-5.05.70-29.2
kiwi-doc-5.05.70-29.2
kiwi-instsource-5.05.70-29.2
kiwi-media-requires-5.05.70-29.2
kiwi-pxeboot-5.05.70-29.2
kiwi-templates-5.05.70-29.2
kiwi-test-5.05.70-29.2


References:



< Previous Next >
This Thread
  • No further messages